<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="./styles.css">
</head>
<body>

    <!-- Adyacent Sibling
    <div>
        <h2>Soy un h2</h2>
        <p>Soy un p</p>
        <h2>Soy un h2</h2>
        <h3>Soy un h3</h3>
        <p>soy un p</p>
        <h2>Soy un h2</h2>
        <p>Soy un  p</p>
    </div> -->

<!--  Hermanos Generales
    <div>
    <h2>Soy un h2</h2>
    <p>Soy un p</p>
    <h2>Soy un h2</h2>
    <h3>Soy un h3</h3>
    <p>Soy un p</p> 
    <p>Soy un p</p>
    </div> -->

    <div>
        <article>
            <p>Soy un Texto</p>
        </article>
        <article>
            <p>Soy un Texto</p>
        </article>
        <section>
            <div>
                <p>Soy un Texto</p>
            </div>
        </section>
        <p>Soy un Texto</p>
    </div>
</body>
</html>